require "Insurgent/InsurgentTraitDefinitions"

EnhancedConditioningTrait = CreateInsurgentTrait()
EnhancedConditioningTrait.name = "EnhancedConditioning"
EnhancedConditioningTrait.insurgentExclusive = true
EnhancedConditioningTrait.mutualExclusions = {"Stout", "Strong", "Fit", "Athletic"}

function EnhancedConditioningTrait.Create()
    local enhancedconditioning = TraitFactory.addTrait("EnhancedConditioning", getText("UI_trait_EnhancedConditioning"), 8, getText("UI_trait_EnhancedConditioningDesc"), false, false)
	enhancedconditioning:addXPBoost(Perks.Fitness, 4)
	enhancedconditioning:addXPBoost(Perks.Strength, 4)
	enhancedconditioning:addXPBoost(Perks.Sprinting, 2)
    return enhancedconditioning
end
